{
  "name": "@openstapps/gitlab-api",
  "description": "Wraps common GitLab API calls in a TypeScript class.",
  "version": "3.0.0",
  "type": "module",
  "license": "GPL-3.0-only",
  "repository": "git@gitlab.com:openstapps/gitlab-api.git",
  "author": "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
  "contributors": [
    "Rainer Killinger <openstapps@killinger.co>"
  ],
  "main": "lib/api.js",
  "types": "lib/api.d.ts",
  "bin": {
    "openstapps-gitlab-api": "app.js"
  },
  "files": [
    "app.js",
    "lib",
    "README.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "build": "tsup-node --dts",
    "docs": "typedoc --json ./docs/docs.json --options ../../typedoc.base.json src/api.ts",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "eslint --ext .ts src/",
    "lint:fix": "eslint --fix --ext .ts src/"
  },
  "dependencies": {
    "@openstapps/logger": "workspace:*",
    "commander": "10.0.0",
    "got": "12.6.0"
  },
  "devDependencies": {
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@types/node": "18.15.3",
    "ts-node": "10.9.2",
    "tsup": "6.7.0",
    "typedoc": "0.25.12",
    "typescript": "5.4.2"
  },
  "tsup": {
    "entry": [
      "src/app.ts",
      "src/api.ts"
    ],
    "sourcemap": true,
    "clean": true,
    "format": "esm",
    "outDir": "lib"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": [
      "@openstapps"
    ]
  }
}
